/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the definition of a GNG edge. 
*/
#include "TGNGEdge.h"

TGNGEdge::TGNGEdge() :
	TObject(),
	fUnitA(0),
	fUnitB(0),
	fAge(0),
	fAttributes()
{
	fAttributes.SetOwner(kTRUE);
}

TGNGEdge::TGNGEdge(TGNGUnit *a, TGNGUnit *b) :
	TObject(),
	fUnitA(a),
	fUnitB(b),
	fAge(0),
	fAttributes()
{
	fAttributes.SetOwner(kTRUE);
}

TGNGEdge::~TGNGEdge()
{
	fAttributes.DeleteAll();
}
