/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the definition of the basic NG unit used by the TNG class.
*/
#include "TNGUnit.h"



TNGUnit::TNGUnit() :
	TObject(),
	fPrototype(0),
	fCurIdx(-1),
	fCurrentDistance(0)
{
}

TNGUnit::TNGUnit(TGNGDataElement *prototype, Int_t curIdx) :
	TObject(),
	fPrototype(prototype),
	fCurIdx(curIdx),
	fCurrentDistance(0)
{
}

TNGUnit::~TNGUnit()
{
	if (fPrototype != 0)
		delete fPrototype;
}
