#ifndef TGNGINPLOGATTR_H
#define TGNGINPLOGATTR_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of an input log attribute used by the 
TGNGInputLogExt.
*/

#include <TObject.h>
#include <TObjArray.h>

class TGNGInpLogAttr : public TObject
{
	ClassDef(TGNGInpLogAttr,1);

public:
	TGNGInpLogAttr();

	TObjArray fItems; //|| contains TGNGInpLogItem holding N inputs

	Int_t fNextIdx; // index used for lmLastN mode
};


#endif


